package com.m2pool.chat.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @ClassName ChatRoomDto
 * @Description 客服 聊天室列表返回对象
 * @Author yyb
 * @Date 2025/4/14 14:28
 */
@Data
public class ChatRoomDto {

    /**
     * 聊天室id
     */
    private Long id;
    /**
     * 聊天对象id
     */
    private String userEmail;
    /**
     * 聊天室重要程度
     */
    private Integer flag;

    /**
     * 未读消息条数
     */
    private Integer unReadNumber;


    /**
     * 用户回复时间
     */
    private LocalDateTime lastUserSendTime;

    /**
     * 客服回复时间
     */
    private LocalDateTime lastCustomerSendTime;
}
