package com.m2pool.chat.mapper;


import com.m2pool.chat.dto.ChatMessageDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChatMessageHistoryMapper {

    /**
     * 根据游标查询十条数据
     * @param id
     * @param pageNum
     * @param roomId
     * @return
     */
    List<ChatMessageDto> findHistoryMessage(@Param("id") Long id,@Param("pageNum") Integer pageNum,@Param("roomId") Long roomId);

}
